## Overview

The following help document describes the functionality presented in the BCO App in additional detail. See the <a href="https://sbg.github.io/bco-app/" target="_blank">BCO App User Manual</a> for examples. The <a href="https://www.biocomputeobject.org/" target="_blank">BioCompute Object Website</a> is a good starting place for learning about BioCompute Objects.

### PDF User Manual

Please check the <a href="https://sbg.github.io/bco-app/bco-app-user-manual.pdf" target="_blank">PDF user manual</a> for an app usage guide.

## Table of Contents

- **Generators**
  - Text Composer
  - File Composer
  - Platform Composer

- **Utilities**
  - BioCompute Object Browser
  - BioCompute Object Validator
  - BioCompute Standard

## Generators

The Generators menu includes tools for generating BioCompute Objects from user provided text, workflows writeen in the Common Workflow Language, and from information available from a Seven Bridges platform project, such as a project from the <a href="https://www.cancergenomicscloud.org" target="_blank">Cancer Genomics Cloud</a>.

### Text Composer

Use this interface to generate a BioCompute Object from user provided text.

### File Composer

Use this tool to generate a BioCompute Object from user provided text and a text file that contains a workflow written in Common Workflow Language.

### Platform Composer

Use this tool to generate a BioCompute Object from user provided text that is added to information extracted from a wrapped app, a workflow written in Common Workflow Lanaguage, or a successfully executed task.

## Utilities

The utilities menu includes tools for browsing a BioCompute Object, validating a BioCompute Object, and reviewing the BioCompute Object Standard.

### BioCompute Object Browser

The BioCompute Object Browser support interactive exploration of a BioCompute Object stored in a text file.

### BioCompute Object Validator

The BioCompute Object Validator supports validation of a BioCompute Object stored in a text file.

### BioCompute Standard

The BioCompute Object Standard page supports interactive review of the BioCompute Object Standard.
